Subject: Re: bug#63941: [PATCH] ; always CRLF before non-first boundary in multipart form

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Jun 2023 12:42:54 +0300

> From: ozzloy <[email-masked]>
> Date: Wed, 7 Jun 2023 23:52:31 -0700
> Cc: [email-masked]
> 
> Quick fix.  In the last email, I said
> >  Once EWW opens localhost:8085, it will display the web page with a
> >  button labeled "Browse". Click that button.
> 
> My bad.  Clicking does not work for me.  What I actually do is put the
> cursor on the button and hit <Enter>.  Then it will bring up the file

Thanks.

Making the change in mm-url.el sounds scary: that code was written
many years ago, and who knows where it is used?  The reason for
testing bolp there is not explained, but I'm guessing they didn't want
to craete an empty line?  It might be better to make a local change in
eww.el: just append "\r\n" to the request data.

I'll leave it to HTTP experts to decide what to do about this.